$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-1e4655aef6bb0925245ddfe2c54db2afb099534c/rpcs3-v0.0.12-10852-1e4655ae_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '81a7c22695faf26a0862f836635bdbc29e94919adfecf6349cfe7e4218d2f801'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
